<template>
    <v-row class="mt-2 mx-2 d-flex justify-end">
        <v-dialog v-model="dialog" persistent max-width="600px">
            <template v-slot:activator="{ on, attrs }">
                <v-btn
                    class="mx-2 mb-2 add"
                    @click="creatNote"
                    fab
                    dark
                    color="indigo"
                    v-bind="attrs"
                    v-on="on"
                >
                    <v-icon dark> mdi-plus </v-icon>
                </v-btn>
            </template>
            <v-card>
                <v-card-title>
                    <span class="text-h5">Add Note</span>
                </v-card-title>
                <v-card-text>
                    <v-container>
                        <v-row>
                            <v-col>
                                <v-text-field
                                    v-model="title"
                                    label="Note Title"
                                ></v-text-field>
                            </v-col>
                        </v-row>
                        <v-row>
                            <v-col>
                                <v-textarea
                                    v-model="description"
                                    label="Description"
                                    required
                                ></v-textarea>
                                <small
                                    id="desId"
                                    class="text-caption text-medium-emphasis"
                                    >Enter Description</small
                                >
                            </v-col>
                        </v-row>
                    </v-container>
                </v-card-text>
                <v-card-actions>
                    <v-spacer></v-spacer>
                    <v-btn color="blue darken-1" text @click="dialog = false">
                        Close
                    </v-btn>
                    <v-btn color="blue darken-1" text @click="saveData">
                        Save
                    </v-btn>
                </v-card-actions>
            </v-card>
        </v-dialog>
    </v-row>
</template>

<script>
    import { mapActions } from 'vuex';
    export default {
        name: 'AddDilog',
        data: () => ({
            dialog: false,

            dataN: {},
        }),

        methods: {
            ...mapActions({
                saveTitle: 'saveTitle',
                saveDescriptione: 'saveDescriptione',
            }),
            saveData() {
                if (this.description !== '') {
                    document.getElementById('desId').style.display = 'none';
                    console.log(this.title);
                    console.log(this.dataN.title);
                    this.dataN.title = this.title;
                    this.dataN.description = this.description;
                    this.dataN.compelete = "0";
                    console.log(this.dataN);
                    this.$store.commit('saveTitle', this.dataN);
           
                    this.dialog = false;

                    location.reload();
                } else {
                    document.getElementById('desId').style.display = 'block';
                }
            },
            creatNote() {
                this.title = '';
                this.description = '';
                this.compelete = 0;
            },
        },
    };
</script>

<style lang="scss" scoped>
    #desId {
        display: none;
    }
</style>
